;
; Cargador paquete "PT"
;    Ver "pt.lisp"
;

(defpackage "PT"
  (:nicknames "PLANTRON")
  (:use "COMMON-LISP")
  (:documentation "Gestor de agentes y partidas PlanTron.")
  (:export
   "VERSION"
   "PATH"
   "*REP*"
   "*VIS*"
   "*DEV-VIS*"
   "*LOG*"
   "*GEN-PLA*"
   "*GEN-DIR*"
   "DEFAGENTE"
   "DATOS-FILE"
   "LOAD-AG"
   "DEL-AG"
   "UNLOAD-AG"
   "BUSCA-AG"
   "INFO-JUG"
   "JUG"
   "PARTIDA"
   "ENFRENTA"
   "PARTIDA-TODOS"
   "PARTIDA-TODOS2"))


(unless (find-package "PT-COMM")
  (load (concatenate 'string
		     (directory-namestring
		      (eval (or (find-symbol "*LOAD-TRUENAME*")
				(find-symbol "*LOAD-PATHNAME*")
				(find-symbol "*LOAD-PATHNAME*" "SYSTEM")
			       "")))
		     "envio-package")))

